package com.starbuds.server.service.data;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * SpringBoot 入口
 *
 * @author Lay
 * @date 2019/11/29
 */
@SpringBootApplication
@EnableAsync
@Slf4j
public class Application {
    public static void main(String[] args) {
        System.setProperty("app.name", "service-data");
        try {
            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(Application.class, args);
        log.info("[service-data] started.");
    }
}
