package com.starbuds.server.service.data.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 百度内容审核配置信息
 *
 * @author aoe
 * @date 2021/8/20
 */
@Configuration
@Slf4j
public class BaiduGreenConfig {

    @Value("${baidu.green.appId}")
    private String appId;

    @Value("${baidu.green.apiKey}")
    private String apiKey;

    @Value("${baidu.green.secretKey}")
    private String secretKey;

    /**
     * 获取token地址
     */
    @Value("${baidu.green.authHost}")
    private String authHost;

    /**
     * 图片审核地址
     */
    @Value("${baidu.green.imgCensorHost}")
    private String imgCensorHost;

    /**
     * 文本审核地址
     */
    @Value("${baidu.green.textCensorHost}")
    private String textCensorHost;

    public String appId() {
        return appId;
    }

    public String apiKey() {
        return apiKey;
    }

    public String secretKey() {
        return secretKey;
    }

    public String authHost() {
        return authHost;
    }

    public String imgCensorHost() {
        return imgCensorHost;
    }

    public String textCensorHost() {
        return textCensorHost;
    }
}
