package com.starbuds.server.service.data.config;

import org.apache.http.HttpHost;
import org.elasticsearch.client.RestClient;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/28 17:46
 * @Description es配置类
 */
@Configuration
public class EsConfig {

    @Bean
    public RestHighLevelClient client(@Value("${elasticsearch.host}") String host,
                                      @Value("${elasticsearch.port}") int port,
                                      @Value("${elasticsearch.scheme}") String scheme) {
        RestHighLevelClient client = new RestHighLevelClient(
                RestClient.builder(
                        new HttpHost(host, port, scheme)
                )
        );
        return client;
    }
}
