package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.AppVersionDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/9
 */
@Mapper
@Repository
public interface AppVersionDAO {
    /**
     * 查询最新版本
     *
     * @param clientType
     * @param appType
     * @param versionNum
     * @param channelId
     * @return
     */
    AppVersionDO selectLatest(@Param("clientType") int clientType,
                              @Param("appType") int appType,
                              @Param("versionNum") long versionNum,
                              @Param("channelId") Long channelId);

    /**
     * 获取市场包状态
     *
     * @param versionCode
     * @param channelId
     * @return
     */
    Integer selectMarketStatus(@Param("versionCode") String versionCode, @Param("channelId") Long channelId);

    /**
     * 查询最接近的强更版本号
     *
     * @param clientType
     * @param appType
     * @param versionNum
     * @param channelId
     * @return
     */
    Long selectLatestForceVersionNum(@Param("clientType") int clientType, @Param("appType") int appType, @Param("versionNum") long versionNum, @Param("channelId") Long channelId);
}
