package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.BannerVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/1
 */
@Mapper
@Repository
public interface BannerDAO {
    /**
     * 查询 Banner
     *
     * @param bannerPosition
     * @param curTime
     * @param categoryId
     * @param channelId
     * @return
     */
    List<BannerVO> selectAll(@Param("bannerPosition") Integer bannerPosition,
                             @Param("curTime") long curTime,
                             @Param("categoryId") Long categoryId,
                             @Param("channelId") Long channelId);

    /**
     * 查询 Banner
     *
     * @param bannerPosition
     * @param curTime
     * @param categoryId
     * @param channelId
     * @return
     */
    List<BannerVO> selectAllLimitOne(@Param("bannerPosition") Integer bannerPosition,
                                     @Param("curTime") long curTime,
                                     @Param("categoryId") Long categoryId,
                                     @Param("channelId") Long channelId);
}
