package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.BroadcastHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.ws.rs.Path;
import java.util.List;

/**
 * 广播记录表 Mapper
 */
@Mapper
@Repository
public interface BroadcastHisDAO {

    /**
     * 插入数据
     */
    int insert(BroadcastHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<BroadcastHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(BroadcastHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    BroadcastHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    BroadcastHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<BroadcastHisDO> selectPageList(QueryWrapper qw);

    /**
     * @param cursor
     * @param pageSize
     * @return
     */
    List<BroadcastHisDO> getBroadcastHisList(@Param("cursor") Integer cursor, @Param("pageSize") Integer pageSize);
}