package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.ChatBubbleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/6/17
 */
@Mapper
@Repository
public interface ChatBubbleDAO {
    /**
     * 查询气泡框列表
     *
     * @return
     */
    List<ChatBubbleVO> selectAll();

    /**
     * 根据 id 列表查询气泡框列表
     *
     * @param bubbleIds
     * @return
     */
    List<ChatBubbleVO> selectAllByIds(List<Long> bubbleIds);

    /**
     * 根据 id 查询
     *
     * @param bubbleId
     * @return
     */
    ChatBubbleVO selectById(@Param("bubbleId") Long bubbleId);

    /**
     * 根据 id 统计
     *
     * @param bubbleId
     * @return
     */
    int countById(@Param("bubbleId") Long bubbleId);
}
