package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.CoinGoodsListItemVO;
import com.starbuds.server.common.pojo.db.CoinGoodsDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/30
 */
@Mapper
@Repository
public interface CoinGoodsDAO {
    /**
     * 查询积分商品列表
     *
     * @param pageCursor
     * @param pageSize
     * @param categoryId
     * @return
     */
    List<CoinGoodsListItemVO> selectListItems(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("categoryId") Long categoryId);

    /**
     * 统计列表
     *
     * @param categoryId
     * @return
     */
    int countListItems(@Param("categoryId") Long categoryId);

    /**
     * 查询列表商品
     *
     * @param goodsId
     * @return
     */
    CoinGoodsListItemVO selectListItem(@Param("goodsId") Long goodsId);

    /**
     * 查询商品
     *
     * @param goodsId
     * @return
     */
    CoinGoodsDO selectById(@Param("goodsId") Long goodsId);
}
