package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.DataAreaDO;
import com.starbuds.server.common.pojo.user.AreaDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * 备注
 */
@Mapper
@Repository
public interface DataAreaDAO {
    /**
     * 根据区域父 id 查询区域子项
     *
     * @param parentId
     * @return
     */
    List<DataAreaDO> findByParentId(@Param("parentId") int parentId);

    /**
     * 统计区域是否存在
     *
     * @param areaId
     * @return
     */
    int countExist(int areaId);

    /**
     * 根据主键查询
     *
     * @param areaId
     * @return
     */
    DataAreaDO findByAreaId(@Param("areaId") int areaId);

    /**
     * 查询中心坐标
     *
     * @param areaId
     * @return
     */
    DataAreaDO selectLocationById(@Param("areaId") Integer areaId);

    /**
     * 获取区域
     *
     * @param areaIds
     * @return
     */
    List<DataAreaDO> selectByAreaIds(@Param("areaIds") Set<Integer> areaIds);

    /**
     * 获取区域
     *
     * @param areaIds
     * @return
     */
    List<AreaDTO> selectAreasByAreaIds(@Param("areaIds") Set<Integer> areaIds);
}
