package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.BaiduNoticeDTO;
import com.starbuds.server.common.pojo.db.BaiduNoticeDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/5/11 19:08
 * @Description 百度信息流投放
 */
@Mapper
@Repository
public interface DataBaiduNoticeDAO {

    /**
     * 保存
     *
     * @param androidDO
     * @return
     */
    int insert(BaiduNoticeDO androidDO);

    /**
     * 根据idfa或imeiMd5 查询callbackUrl
     *
     * @param idfa
     * @param imeiMd5
     * @return
     */
    BaiduNoticeDTO selectBaiduNotice(@Param("idfa") String idfa, @Param("imeiMd5") String imeiMd5);

    /**
     * 根据id更新
     *
     * @param noticeId
     * @param atype
     * @param avalue
     * @return
     */
    int updateById(@Param("noticeId") Long noticeId,
                   @Param("atype") String atype,
                   @Param("avalue") String avalue);
}
