package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.DataBankDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/30 17:57
 * @Description 银行持久层
 */
@Mapper
@Repository
public interface DataBankDAO {

    /**
     * 根据银行编码获取银行
     *
     * @param bankCode
     * @return
     */
    DataBankDO selectBankByBankCode(@Param("bankCode") String bankCode);

    /**
     * 根据银行编码获取银行
     *
     * @param bankCodes
     * @return
     */
    @MapKey("bankCode")
    Map<String, DataBankDO> selectBanksByBankCodes(@Param("bankCodes") Set<String> bankCodes);
}
