package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.CountryPhoneAreaCodeVO;
import com.starbuds.server.common.pojo.db.DataCountryDO;
import com.starbuds.server.common.pojo.db.PhoneAreaCodeDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-05-12 17:43:24
 * @Description 国际地区持久层
 */
@Mapper
@Repository
public interface DataCountryDAO {

    /**
     * 获取国际地区手机区号
     *
     * @return
     */
    List<CountryPhoneAreaCodeVO> selectCountryPhoneCode();

    /**
     * 获取国际地区
     *
     * @param countryId
     * @return
     */
    DataCountryDO selectById(@Param("countryId") Integer countryId);

    /**
     * 获取国际地区手机区号
     *
     * @return
     */
    List<PhoneAreaCodeDO> selectPhoneAreaCode();

    /**
     * 根据id获取国际手机区号
     *
     * @param countryId
     * @return
     */
    PhoneAreaCodeDO selectPhoneAreaCodeById(@Param("countryId") Integer countryId);
}
