package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.DataFeedbackVO;
import com.starbuds.server.common.pojo.db.DataFeedbackDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-19 18:05:20
 * @Description 意见反馈持久层
 */
@Mapper
@Repository
public interface DataFeedbackDAO {
    /**
     * 新增
     *
     * @param entity
     * @return
     */
    Integer insert(DataFeedbackDO entity);

    /**
     * 根据主键更新
     *
     * @param entity
     * @return
     */
    Integer updateById(DataFeedbackDO entity);

    /**
     * 根据主键查询
     *
     * @param feedId
     * @return
     */
    DataFeedbackDO selectById(@Param("feedId") Long feedId);

    /**
     * 根据主键查询
     *
     * @param feedId
     * @return
     */
    DataFeedbackVO selectVOById(@Param("feedId") Long feedId);

    /**
     * 获取意见反馈列表
     *
     * @param userId
     * @param feedType
     * @param handleStatus
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<DataFeedbackVO> getFeedbackPageList(@Param("userId") Long userId,
                                             @Param("feedType") Integer feedType,
                                             @Param("handleStatus") Integer handleStatus,
                                             @Param("pageCursor") int pageCursor,
                                             @Param("pageSize") int pageSize);

    /**
     * 获取意见反馈列表大小
     *
     * @param userId
     * @param feedType
     * @param handleStatus
     * @return
     */
    int countFeedbackPageList(@Param("userId") Long userId,
                              @Param("feedType") Integer feedType,
                              @Param("handleStatus") Integer handleStatus);

}
