package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.DataGreenHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 内容审核记录 Mapper
 */
@Mapper
@Repository
public interface DataGreenHisDAO {

    /**
     * 插入数据
     */
    int insert(DataGreenHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<DataGreenHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(DataGreenHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    DataGreenHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    DataGreenHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<DataGreenHisDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("hisId")
    Map<Long, DataGreenHisDO> selectMapByIds(@Param("ids") Collection ids);

    /**
     * 根据审核业务id集合查询数据
     *
     * @param bizIds
     * @return
     */
    List<DataGreenHisDO> selectByBizIds(@Param("bizIds") Collection bizIds);
}