package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.DataI18nVO;
import com.starbuds.server.common.pojo.db.DataI18nDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 数据国际化Mapper
 *
 * @author aoe
 */
@Mapper
@Repository
public interface DataI18nDAO {

    /**
     * 批量插入
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(List<DataI18nDO> list);

    /**
     * 获取国际化数据列表
     *
     * @param pageIndex 当前页码
     * @param pageSize  分页大小
     * @return
     */
    List<DataI18nVO> getPageList(@Param("pageCursor") int pageIndex,
                                 @Param("pageSize") int pageSize);

    /**
     * 获取国际化数据列表总数
     *
     * @return
     */
    int getPageListCount();

    @MapKey("i18nId")
    Map<String, DataI18nVO> getListByIds(@Param("lang") int langValue,
                                         @Param("ids") List<String> i18nIdList);
}
