package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.DataLevelScoreDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/25
 */
@Mapper
@Repository
public interface DataLevelScoreDAO {
    /**
     * 根据积分查询等级
     *
     * @param scoreType
     * @param scoreValue
     * @return
     */
    Integer selectLevelByValue(@Param("scoreType") Integer scoreType, @Param("scoreValue") Long scoreValue);

    /**
     * 查询下一等级
     *
     * @param level
     * @param scoreType
     * @return
     */
    DataLevelScoreDO selectNextLevel(@Param("level") int level, @Param("scoreType") int scoreType);

    /**
     * 查询下一等级
     *
     * @param level
     * @param scoreType
     * @return
     */
    DataLevelScoreDO selectCurrentLevel(@Param("level") int level, @Param("scoreType") int scoreType);

    /**
     * 查询最后的等级
     *
     * @param scoreType
     * @return
     */
    DataLevelScoreDO selectLastLevelScore(@Param("scoreType") int scoreType);

    /**
     * 根据等级查询积分
     *
     * @param scoreType
     * @param level
     * @return
     */
    Long selectScoreByLevel(@Param("scoreType") Integer scoreType, @Param("level") Integer level);

    /**
     * 查询活动勋章列表
     *
     * @return
     */
    List<DataLevelScoreDO> selectActivitiesMedalList();
}
