package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.GradeConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface GradeConfigDAO {
    /**
     * 获取配置表类型
     *
     * @param type
     * @return
     */
    List<GradeConfigDO> getGradeConfigList(@Param("type") Integer type, @Param("des") String des);

    /**
     * 更新评级配置
     *
     * @param id     配置编号
     * @param weight 权重
     * @param enable 是否启用 1：启用  0：禁用
     * @return
     */
    int updateGradeConfig(@Param("id") long id, @Param("weight") int weight, @Param("enable") int enable, @Param("updateTime") long updateTime);
}

