package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.CoinShopAnimationVO;
import com.starbuds.server.common.pojo.data.HeadwearVO;
import com.starbuds.server.common.pojo.db.HeadwearDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/8/28
 */
@Mapper
@Repository
public interface HeadwearDAO {
    /**
     * 根据 id 列表查询头饰列表
     *
     * @param headwearIds
     * @return
     */
    @MapKey("headwearId")
    Map<Long, HeadwearVO> selectByIds(@Param("headwearIds") Set<Long> headwearIds);

    /**
     * 根据 id 查询
     *
     * @param headwearId
     * @return
     */
    HeadwearDO selectById(@Param("headwearId") Long headwearId);

    /**
     * 根据 id 查询
     *
     * @param headwearId
     * @return
     */
    HeadwearVO selectVOById(@Param("headwearId") Long headwearId);

    /**
     * 根据 id 统计
     *
     * @param headwearId
     * @return
     */
    int countById(@Param("headwearId") Long headwearId);

    /**
     * 根据 id 列表查询动效
     *
     * @param headwearIds
     * @return
     */
    List<CoinShopAnimationVO> selectAnimationByIds(@Param("headwearIds") Set<Long> headwearIds);
}
