package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.MedalVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/12
 */
@Mapper
@Repository
public interface MedalDAO {
    /**
     * 查询勋章列表
     *
     * @return
     */
    List<MedalVO> selectAll();

    /**
     * 根据 id 列表查询勋章列表
     *
     * @param medalIds
     * @return
     */
    List<MedalVO> selectAllByIds(@Param("medalIds") List<Long> medalIds);

    /**
     * 查询勋章
     *
     * @param medalId
     * @return
     */
    MedalVO selectById(@Param("medalId") Long medalId);

    /**
     * 根据 id 统计
     *
     * @param medalId
     * @return
     */
    int countById(@Param("medalId") Long medalId);
}
