package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.CoinShopAnimationVO;
import com.starbuds.server.common.pojo.data.MountsVO;
import com.starbuds.server.common.pojo.db.MountsDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/12
 */
@Mapper
@Repository
public interface MountsDAO {
    /**
     * 根据 id 列表查询坐骑列表
     *
     * @param mountsIds
     * @return
     */
    List<MountsVO> selectAllByIds(List<Long> mountsIds);

    /**
     * 根据 id 查询
     *
     * @param mountsId
     * @return
     */
    MountsDO selectById(@Param("mountsId") Long mountsId);

    /**
     * 根据 id 统计
     *
     * @param mountsId
     * @return
     */
    int countById(@Param("mountsId") Long mountsId);

    /**
     * 根据 id 列表查询动效
     *
     * @param mountsIds
     * @return
     */
    List<CoinShopAnimationVO> selectAnimationByIds(@Param("mountsIds") Set<Long> mountsIds);

}
