package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.PropsVO;
import com.starbuds.server.common.pojo.db.GiftDO;
import com.starbuds.server.common.pojo.db.PropsDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/12
 */
@Mapper
@Repository
public interface PropsDAO {
    /**
     * 根据 id 查询道具列表
     *
     * @param propsIds
     * @return
     */
    List<PropsDO> selectAllByIds(List<Long> propsIds);

    /**
     * 根据 id 查询道具类型
     *
     * @param propsIds
     * @return
     */
    List<PropsDO> selectTypePropsExtStringByIds(@Param("propsIds") Set<Long> propsIds);

    /**
     * 根据 id 查询
     *
     * @param propsId
     * @return
     */
    PropsDO selectById(@Param("propsId") Long propsId);

    /**
     * 根据道具类型查询道具 id
     *
     * @param propsType
     * @return
     */
    List<Long> selectIdsByType(@Param("propsType") Integer propsType);

    /**
     * 获取道具
     *
     * @param propsId
     * @return
     */
    PropsVO selectVO(@Param("propsId") Long propsId);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("propsId")
    Map<Long, PropsDO> selectPriceMapByIds(@Param("ids") Collection ids);
}
