package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.ReportDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/30
 */
@Mapper
@Repository
public interface ReportDAO {
    /**
     * 创建记录
     *
     * @param reportDO
     * @return
     */
    int insert(ReportDO reportDO);


    /**
     * 报告id是否存在
     *
     * @param reportId 报告id
     * @return 条数
     */
    int countByReportId(@Param("reportId") Long reportId);


    /**
     * 获取report用户id
     *
     * @param reportId 报告id
     * @return 用户id
     */
    Long getReportUserId(@Param("reportId") Long reportId);


    /**
     * 根据主键更新
     *
     * @param reportDO report对象
     * @return 更新条数
     */
    int updateById(ReportDO reportDO);
}
