package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.RtcRecommendDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 首页大图推荐 Mapper
 */
@Mapper
@Repository
public interface RtcRecommendDAO {

    /**
     * 插入数据
     */
    int insert(RtcRecommendDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<RtcRecommendDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(RtcRecommendDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    RtcRecommendDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    RtcRecommendDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<RtcRecommendDO> selectPageList(QueryWrapper qw);

    /**
     * 获取过期ID
     *
     * @param now
     * @return
     */
    List<Long> getOutTimeHisIds(@Param("now") Long now);

    /**
     * 批量更新状态
     *
     * @param outTimeIds
     * @param status
     */
    void updateStatusByIds(@Param("outTimeIds") List<Long> outTimeIds, @Param("status") int status);

    /**
     * 获取推荐ID
     *
     * @param now
     * @return
     */
    Long getRecommendId(@Param("now") Long now);

    /**
     * 获取推荐的
     *
     * @param now
     * @return
     */
    RtcRecommendDO getRecommend(@Param("now") Long now);

    /**
     * 更新状态
     *
     * @param hisId
     * @param status
     */
    void updateStatusById(@Param("hisId") Long hisId, @Param("status") int status);

    /**
     * 查看状态
     *
     * @param status
     * @return
     */
    int getStatusCount(@Param("status") int status);
}