package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.SkillVO;
import com.starbuds.server.common.pojo.db.SkillDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/10/15 17:28
 * @Description 技能持久层
 */
@Mapper
@Repository
public interface SkillDAO {

    /**
     * 判断是否存在
     *
     * @param skillId
     * @return
     */
    int countById(@Param("skillId") Long skillId);

    /**
     * 判断是否存在
     *
     * @param skillId
     * @param status
     * @return
     */
    int countByIdAndStatus(@Param("skillId") Long skillId, @Param("status") Integer status);

    /**
     * 获取技能列表
     *
     * @return
     */
    List<SkillVO> selectSkills();

    /**
     * 获取技能名称
     *
     * @param skillId
     * @return
     */
    String selectSkillName(@Param("skillId") Long skillId);

    /**
     * 获取技能详情
     *
     * @param skillId
     * @return
     */
    SkillDO selectSkillDetail(@Param("skillId") Long skillId);
}
