package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.user.UserSimpleInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户
 */
@Mapper
@Repository
public interface UserDAO {

    /**
     * 更新定位城市
     *
     * @param userId
     * @param locationCity
     * @return
     */
    int updateLocationCity(@Param("userId") Long userId, @Param("locationCity") String locationCity);

    /**
     * 根据ID 查询用户基本信息
     *
     * @param userIds
     * @return
     */
    List<UserSimpleInfo> selectSimleInfoByIds(List<Long> userIds);
}
