package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.UserModuleVO;
import com.starbuds.server.common.pojo.db.UserModuleDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/1 10:51
 * @Description 用户模块
 */
@Mapper
@Repository
public interface UserModuleDAO {

    /**
     * 获取列表
     *
     * @return
     */
    List<UserModuleVO> selectList();

    /**
     * 获取模块
     *
     * @param moduleIds
     * @return
     */
    @MapKey("moduleId")
    Map<Long, UserModuleDO> selectMap(@Param("moduleIds") Set<Long> moduleIds);

    /**
     * 根据类型获取模块id
     *
     * @param contentType
     * @return
     */
    Set<Long> selectModuleIdsByType(@Param("contentType") Integer contentType);
}
