package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.data.MusicVO;
import com.starbuds.server.common.pojo.db.UserMusicDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/8/3 16:58
 * @Description 用户音乐
 */
@Mapper
@Repository
public interface UserMusicDAO {

    /**
     * 插入或更新
     *
     * @param musicDO
     * @return
     */
    int insertOrUpdate(UserMusicDO musicDO);

    /**
     * 获取下载列表
     *
     * @param userId
     * @param lastId
     * @param pageSize
     * @return
     */
    List<MusicVO> selectDownloadList(@Param("userId") Long userId,
                                     @Param("lastId") Long lastId,
                                     @Param("pageSize") Integer pageSize);
}
