package com.starbuds.server.service.data.dao;

import com.starbuds.server.common.pojo.db.WordFilterDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-11 17:34:02
 * @Description 敏感词汇持久层
 */
@Mapper
@Repository
public interface WordFilterDAO {

    /**
     * 根据主键查询
     */
    WordFilterDO selectById(@Param("wordId") Long wordId);

    /**
     * 获取列表
     *
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<WordFilterDO> getWordPageList(@Param("pageCursor") int pageCursor,
                                       @Param("pageSize") int pageSize);
}
