package com.starbuds.server.service.data.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/11
 */
@Data
public class AmapIpResult {
    /**
     * 值为0或1,0表示失败；1表示成功
     */
    private String status;

    /**
     * 返回状态说明，status为0时，info返回错误原因，否则返回“OK”。
     */
    private String info;

    /**
     * 返回状态说明,10000代表正确,详情参阅info状态表
     */
    @JSONField(name = "infocode")
    private String infoCode;

    /**
     * 省份名称
     */
    private String province;

    /**
     * 城市名称
     */
    private String city;

    /**
     * 城市的adcode编码
     */
    private String adcode;

    /**
     * 所在城市矩形区域范围
     * 所在城市范围的左下右上对标对
     */
    private String rectangle;
}
