package com.starbuds.server.service.data.es.entity;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/8/3 18:57
 * @Description 音乐
 */
@NoArgsConstructor
@Data
@Document(indexName = "music", type = "_doc", shards = 1, replicas = 0, refreshInterval = "-1")
public class MusicEntity {

    /**
     * 音乐id
     */
    @Id
    private Long musicId;
    /**
     * 上传者
     */
    @Field(type = FieldType.Keyword)
    private Long userId;
    /**
     * 歌曲名
     */
    @Field(type = FieldType.Keyword)
    private String musicName;
    /**
     * 演唱者
     */
    @Field(type = FieldType.Keyword)
    private String musicSinger;
    /**
     * 音乐地址
     */
    private String musicUrl;
    /**
     * 1 原唱  0 伴奏
     */
    @Field(type = FieldType.Integer)
    private Integer original;
    /**
     * 下载次数
     */
    @Field(type = FieldType.Integer)
    private Integer downloadCount;
    /**
     * 创建时间
     */
    @Field(type = FieldType.Long)
    private Long createTime;
    /**
     * 更新时间
     */
    @Field(type = FieldType.Long)
    private Long updateTime;
    /**
     * -2后台删除 -1用户删除  0已上传  1审核通过
     */
    @Field(type = FieldType.Integer)
    private Integer status;
    /**
     * 1上架、0下架
     */
    @Field(type = FieldType.Integer)
    private Integer shelfStatus;
    /**
     * 下架说明
     */
    @Field(type = FieldType.Keyword)
    private String shelfRemark;


}
