package com.starbuds.server.service.data.es.entity;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/27 19:46
 * @Description 语聊房间ES实体
 */
@NoArgsConstructor
@Data
@Document(indexName = "rtcroom", type = "_doc", shards = 1, replicas = 0, refreshInterval = "-1")
public class RtcRoomEntity {

    /**
     * 主键
     */
    @Id
    private Long roomId;
    /**
     * 用户id
     */
    @Field(type = FieldType.Keyword)
    private Long userId;
    /**
     * 星芽号
     */
    @Field(type = FieldType.Keyword)
    private Long userNo;
    /**
     * 房间类型
     */
    @Field(type = FieldType.Integer)
    private Integer roomType;
    /**
     * 房间号
     */
    @Field(type = FieldType.Keyword)
    private Long roomNo;
    /**
     * 单聊分类
     */
    @Field(type = FieldType.Keyword)
    private String roomName;
    /**
     * 房间分类id
     */
    @Field(type = FieldType.Keyword)
    private Long categoryId;
    /**
     * 房间标题
     */
    @Field(type = FieldType.Keyword)
    private String roomTitle;
    /**
     * 房间封面
     */
    private String roomCover;
    /**
     * 房间背景
     */
    @Field(type = FieldType.Integer)
    private Integer backgroundId;
    /**
     * 房间规则
     */
    @Field(type = FieldType.Keyword)
    private String roomRule;
    /**
     * 欢迎语
     */
    @Field(type = FieldType.Keyword)
    private String roomWelcome;
    /**
     * 房间锁密码
     */
    @Field(type = FieldType.Keyword)
    private String roomLockPass;
    /**
     * 是否自由上麦
     */
    @Field(type = FieldType.Integer)
    private Integer roomMicFree;
    /**
     * 心动值开关
     */
    @Field(type = FieldType.Integer)
    private Integer roomScoreEnabled;
    /**
     * 公屏开关
     */
    @Field(type = FieldType.Integer)
    private Integer roomChatEnabled;
    /**
     * 状态
     */
    @Field(type = FieldType.Integer)
    private Integer status;
    /**
     * 家族id
     */
    @Field(type = FieldType.Long)
    private Long familyId;
    /**
     * 创建时间
     */
    @Field(type = FieldType.Long)
    private Long roomCreateTime;
    /**
     * 更新时间
     */
    @Field(type = FieldType.Long)
    private Long roomUpdateTime;

}
