package com.starbuds.server.service.data.es.entity;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/1/11 17:16
 * @Description 敏感词汇ES实体
 */
@NoArgsConstructor
@Data
@Document(indexName = "word", shards = 1, replicas = 0, refreshInterval = "-1")
public class WordEntity {

    /**
     * 主键
     */
    @Id
    private Long wordId;

    /**
     * 过滤类型
     */
    @Field(type = FieldType.Text)
    private String filterType;

    /**
     * 词组
     */
    @Field(type = FieldType.Keyword)
    private String wordPhrase;

    /**
     * 状态
     */
    @Field(type = FieldType.Integer)
    private Integer wordStatus;

    /**
     * 创建时间
     */
    @Field(type = FieldType.Long)
    private Long wordCreateTime;
}
