package com.starbuds.server.service.data.impl;

import cn.hutool.core.convert.Convert;
import com.starbuds.server.common.pojo.db.DataPushConfigDO;
import com.starbuds.server.common.pojo.message.push.AliyunPushConfig;
import com.starbuds.server.common.service.data.AliyunPushConfigService;
import com.starbuds.server.service.data.dao.DataPushConfigDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Value;

import javax.annotation.Resource;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/6 18:09
 * @Description 阿里云推送配置
 */
@Slf4j
@Service(version = "1.0.0")
public class AliyunPushConfigServiceImpl implements AliyunPushConfigService {

    @Resource
    DataPushConfigDAO dataPushConfigDAO;

    @Value("${aliyun.push.env}")
    private String pushEnv;

    @Override
    public AliyunPushConfig getAliyunPushConfig(String packageName) {

        DataPushConfigDO configDO = dataPushConfigDAO.selectByPackageName(packageName);

        if (configDO == null) {
            return null;
        }

        AliyunPushConfig aliyunPushConfig = new AliyunPushConfig();
        aliyunPushConfig.setPushEnv(pushEnv);
        aliyunPushConfig.setAndroidAppKey(Convert.toLong(configDO.getAndroidAppKey()));
        aliyunPushConfig.setAndroidAppSecret(configDO.getAndroidAppSecret());
        aliyunPushConfig.setIosAppKey(Convert.toLong(configDO.getIosAppKey()));
        aliyunPushConfig.setIosAppSecret(configDO.getIosAppSecret());

        return aliyunPushConfig;
    }

}
