package com.starbuds.server.service.data.impl;

import com.starbuds.server.common.constant.data.ConfigBusinessDictEnum;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.db.ConfigBusinessDictDO;
import com.starbuds.server.service.data.dao.ConfigBusinessDictDAO;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;

import com.starbuds.server.common.service.data.ConfigBusinessDictService;

import org.apache.dubbo.config.annotation.Service;

import java.util.Optional;

/**
 * 业务参数配置表
 */
@Service(version = "1.0.0")
@Slf4j
public class ConfigBusinessDictServiceImpl implements ConfigBusinessDictService {

    @Resource
    ConfigBusinessDictDAO configBusinessDictDAO;

    /**
     * 获取具体业务参数配置值
     *
     * @param configBusinessDictEnum
     * @return
     */
    @Override
    public String getConfigDictValue(ConfigBusinessDictEnum configBusinessDictEnum) {
        return Optional.ofNullable(getConfigDict(configBusinessDictEnum))
                .orElseGet(ConfigBusinessDictDO::new)
                .getConfigValue();
    }

    /**
     * 获取具体业务参数配置
     *
     * @param configBusinessDictEnum
     * @return
     */
    @Override
    public ConfigBusinessDictDO getConfigDict(ConfigBusinessDictEnum configBusinessDictEnum) {
        if (configBusinessDictEnum == null) {
            return null;
        }

        QueryWrapper qw = new QueryWrapper();
        qw.eq("configId", configBusinessDictEnum.getConfigId());
        return configBusinessDictDAO.selectOne(qw);
    }

}