package com.starbuds.server.service.data.impl;

import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.data.qo.DataGreenHisPageListQO;
import com.starbuds.server.common.pojo.db.DataGreenHisDO;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.common.service.data.DataGreenHisService;
import com.starbuds.server.service.data.provider.DataGreenHisProvider;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 内容审核记录
 */
@Service(version = "1.0.0")
@Slf4j
public class DataGreenHisServiceImpl implements DataGreenHisService {

    /**
     * 主键
     */
    private String PRIMARY_KEY = "hisId";

    @Reference(version = "1.0.0")
    private IdentityService identityService;

    @Resource
    private DataGreenHisProvider dataGreenHisProvider;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public DataGreenHisDO create(DataGreenHisDO po) {
        return dataGreenHisProvider.create(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createBatch(List<DataGreenHisDO> list) {
        return dataGreenHisProvider.createBatch(list);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createOrUpdate(DataGreenHisDO po) {
        return dataGreenHisProvider.createOrUpdate(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean updateById(DataGreenHisDO po) {
        return dataGreenHisProvider.updateById(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean update(UpdateWrapper uw) {
        return dataGreenHisProvider.update(uw);
    }

    @Override
    public DataGreenHisDO getById(Long id) {
        return dataGreenHisProvider.getById(id);
    }

    @Override
    public boolean exist(Long id) {
        return dataGreenHisProvider.exist(id);
    }

    @Override
    public PageList<DataGreenHisDO> getPageList(DataGreenHisPageListQO qo) {
        return dataGreenHisProvider.getPageList(qo);
    }

    @Override
    public Map<Long, DataGreenHisDO> getMapByIds(Collection ids) {
        return dataGreenHisProvider.getMapByIds(ids);
    }

    // 手动编码开始

    @Override
    public Map<Long, DataGreenHisDO> getMapByBizIds(Collection bizIds) {
        return dataGreenHisProvider.getMapByBizIds(bizIds);
    }
}