package com.starbuds.server.service.data.impl;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.pojo.db.DataGreenUserDO;
import com.starbuds.server.service.data.provider.DataGreenUserProvider;
import com.starbuds.server.common.pojo.data.qo.DataGreenUserPageListQO;

import com.starbuds.server.common.pojo.api.PageList;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;

import org.springframework.beans.BeanUtils;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Map;

import com.starbuds.server.common.service.data.DataGreenUserService;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.service.core.IdentityService;

import static com.starbuds.server.common.pojo.util.PageListUtil.buildPageListQueryWrapper;

import org.apache.dubbo.config.annotation.Service;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.transaction.annotation.Transactional;

/**
 * 内容安全-用户信息
 */
@Service(version = "1.0.0")
@Slf4j
public class DataGreenUserServiceImpl implements DataGreenUserService {

    /**
     * 主键
     */
    private String PRIMARY_KEY = "dataId";

    @Reference(version = "1.0.0")
    private IdentityService identityService;

    @Resource
    private DataGreenUserProvider dataGreenUserProvider;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public DataGreenUserDO create(DataGreenUserDO po) {
        return dataGreenUserProvider.create(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createBatch(List<DataGreenUserDO> list) {
        return dataGreenUserProvider.createBatch(list);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createOrUpdate(DataGreenUserDO po) {
        return dataGreenUserProvider.createOrUpdate(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean updateById(DataGreenUserDO po) {
        return dataGreenUserProvider.updateById(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean update(UpdateWrapper uw) {
        return dataGreenUserProvider.update(uw);
    }

    @Override
    public DataGreenUserDO getById(Long id) {
        return dataGreenUserProvider.getById(id);
    }

    @Override
    public boolean exist(Long id) {
        return dataGreenUserProvider.exist(id);
    }

    @Override
    public PageList<DataGreenUserDO> getPageList(DataGreenUserPageListQO qo) {
        return dataGreenUserProvider.getPageList(qo);
    }

    @Override
    public Map<Long, DataGreenUserDO> getMapByIds(Collection ids) {
        return dataGreenUserProvider.getMapByIds(ids);
    }

    // 手动编码开始

}