package com.starbuds.server.service.data.impl;

import com.starbuds.server.common.pojo.data.DataMsgHisVO;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.common.service.data.DataMsgHisService;
import com.starbuds.server.service.data.dao.DataMsgHisDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 消息执行记录处理
 *
 * @author xq
 * @date 2021/8/10
 */
@Service(version = "1.0.0")
@Slf4j
public class DataMsgHisServiceImpl implements DataMsgHisService {
    @Autowired
    DataMsgHisDAO dataMsgHisDAO;


    @Override
    public int updateByKey(int state, Long updateTime, String key) {
        return dataMsgHisDAO.updateBykey(state, updateTime, key);
    }

    @Reference(version = "1.0.0")
    IdentityService identityService;

    @Override
    public int insert(DataMsgHisVO dataMsgHisVO) {
        return dataMsgHisDAO.insert(dataMsgHisVO);
    }

    @Override
    public int deleteSucceedRecord() {
        return dataMsgHisDAO.deleteSucceedRecord();
    }

    @Override
    public boolean checkMsgIsExe(String key, int bussiness) {

        long curTime = System.currentTimeMillis();
        DataMsgHisVO dataMsgHisVO = new DataMsgHisVO();
        dataMsgHisVO.setKey(key);
        dataMsgHisVO.setId(identityService.getId());
        dataMsgHisVO.setBussinessId(bussiness);
        dataMsgHisVO.setUpdateTime(curTime);
        dataMsgHisVO.setCreateTime(curTime);

        //修改记录
        if (updateByKey(0, dataMsgHisVO.getUpdateTime(), dataMsgHisVO.getKey()) > 0) {
            //如果修改成功说明有可能重复消费
            return true;
        } else {
            //修改失败说明没执行过直接插入记录
            dataMsgHisVO.setState(0);
            insert(dataMsgHisVO);
            return false;
        }
    }
}
