package com.starbuds.server.service.data.impl;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.service.data.IkService;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Value;

import javax.annotation.PostConstruct;

/**
 * @author aoe
 * @date 2020/12/28
 */
@Slf4j
@Service(version = "1.0.0")
public class IkServiceImpl implements IkService {

    @Value("${elasticsearch.scheme}")
    private String scheme;

    @Value("${elasticsearch.host}")
    private String host;

    @Value("${elasticsearch.port}")
    private String port;

    private String ES_URL;

    @PostConstruct
    private void init() {
        ES_URL = StrUtil.format("{}://{}:{}/", scheme, host, port);
    }

    /**
     * 分词
     *
     * @param index    索引名称
     * @param text     关键字
     * @param analyzer 分词器 ik_max_word;ik_smart
     * @return
     */
    @Override
    public String analyze(String index, String text, String analyzer) {
        String url = StrUtil.format("{}{}/_analyze", ES_URL, index);
        JSONObject json = new JSONObject();
        json.put("text", text);
        json.put("analyzer", analyzer);
        String result = HttpUtil.post(url, json.toJSONString(), 6_000);
        return result;
    }

}
