package com.starbuds.server.service.data.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.starbuds.server.common.pojo.data.AnimationVO;
import com.starbuds.server.common.pojo.media.GiftTagVO;
import com.starbuds.server.common.service.data.MediaFileService;
import com.starbuds.server.service.data.dao.AnimationDAO;
import com.starbuds.server.service.data.dao.GiftTagDAO;
import org.apache.commons.lang3.StringUtils;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Collection;
import java.util.Collections;
import java.util.List;

/**
 * 媒体文件服务实现
 *
 * @author Lay
 * @date 2019/12/28
 */
@Service(version = "1.0.0")
public class MediaFileServiceImpl implements MediaFileService {

    @Autowired
    AnimationDAO animationDAO;

    @Autowired
    GiftTagDAO giftTagDAO;

    /**
     * 获取礼物动效
     *
     * @return
     */
    @Override
    public List<AnimationVO> getAnimations(Integer version) {
        List<AnimationVO> list = animationDAO.selectAll();
        if (CollectionUtil.isEmpty(list)) {
            return Collections.EMPTY_LIST;
        }
        if (version >= 245) {
            list.forEach(val -> {
                if (val.getAnimationFile245() != null) {
                    val.setAnimationFile(val.getAnimationFile245());
                }
                if (val.getAnimationFileMd5245() != null) {
                    val.setAnimationFileMd5(val.getAnimationFileMd5245());
                }
                if (val.getAnimationFormat245() != null) {
                    val.setAnimationFormat(val.getAnimationFormat245());
                }
                if (val.getAnimationThumb245() != null) {
                    val.setAnimationThumb(val.getAnimationThumb245());
                }
            });
        }
        return list;
    }

    /**
     * 获取礼物标签
     *
     * @return
     */
    @Override
    public List<GiftTagVO> getGiftTags() {
        return giftTagDAO.selectAll();
    }
}
