package com.starbuds.server.service.data.impl;

import com.starbuds.server.common.pojo.data.OauthConfig;
import com.starbuds.server.common.pojo.db.OauthConfigDO;
import com.starbuds.server.common.service.data.OauthConfigService;
import com.starbuds.server.service.data.dao.OauthConfigDAO;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/10 10:41
 * @Description oauth配置
 */
@Service(version = "1.0.0")
public class OauthConfigServiceImpl implements OauthConfigService {

    @Autowired
    private OauthConfigDAO oauthConfigDAO;

    /**
     * 根据配置id获取appId和appSecret
     *
     * @param configId
     * @return
     */
    @Override
    public OauthConfig getAppIdAndSecretConfig(Long configId) {
        OauthConfigDO configDO = oauthConfigDAO.getAppIdAndSecretConfig(configId);
        if (configDO != null) {
            OauthConfig config = new OauthConfig();
            config.setAuthType(configDO.getAuthType());
            config.setAppId(configDO.getAppId());
            config.setAppSecret(configDO.getAppSecret());
            config.setAuthRedirectUrl(configDO.getAuthRedirectUrl());
            config.setAccessRedirectUrl(configDO.getAccessRedirectUrl());
            return config;
        }
        return null;
    }
}
