package com.starbuds.server.service.data.impl;

import com.starbuds.server.common.pojo.data.OneKeyLoginAgentConfig;
import com.starbuds.server.common.pojo.db.OneKeyLoginAgentDO;
import com.starbuds.server.common.service.data.OneKeyLoginConfigService;
import com.starbuds.server.service.data.dao.OneKeyLoginAgentDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/6 18:09
 * @Description 一键登录配置业务
 */
@Slf4j
@Service(version = "1.0.0")
public class OneKeyLoginConfigServiceImpl implements OneKeyLoginConfigService {

    @Autowired
    private OneKeyLoginAgentDAO oneKeyLoginAgentDAO;

    /**
     * 获取一键登录agent配置
     *
     * @param agentId 代理商id
     * @return 配置
     */
    @Override
    public OneKeyLoginAgentConfig getOneKeyLoginAgentConfig(Long agentId) {
        OneKeyLoginAgentDO agent = oneKeyLoginAgentDAO.getOneKeyLoginAgent(agentId);
        if (agent != null) {
            OneKeyLoginAgentConfig config = new OneKeyLoginAgentConfig();
            config.setAndroidAccessKey(agent.getAndroidAccessKey());
            config.setAndroidAccessSecret(agent.getAndroidAccessSecret());
            config.setIosAccessKey(agent.getIosAccessKey());
            config.setIosAccessSecret(agent.getIosAccessSecret());
            config.setAgentName(agent.getAgentName());
            return config;
        }
        return null;
    }
}
