package com.starbuds.server.service.data.impl;

import com.mysql.cj.util.StringUtils;
import com.starbuds.server.common.constant.cache.RedisRiskKeys;
import com.starbuds.server.common.pojo.db.ReleaseConfigDO;
import com.starbuds.server.common.service.data.RedisService;
import com.starbuds.server.common.service.data.ReleaseConfigService;
import com.starbuds.server.service.data.dao.ReleaseConfigDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

/**
 * 配置表
 *
 * @author xq
 * @date 2021/8/6
 */
@Slf4j
@Service(version = "1.0.0")
public class ReleaseConfigServiceImpl implements ReleaseConfigService {

    @Autowired
    ReleaseConfigDAO releaseConfigDAO;

    @Resource
    RedisService redisService;

    @Override
    public String getReleaseConfig(String key) {
        ReleaseConfigDO rf = releaseConfigDAO.selectBykey(key);
        if (rf != null && !StringUtils.isNullOrEmpty(rf.getValue())) {
            return rf.getValue();
        } else {
            return "";
        }
    }

    @Override
    public String getCachReleaseConfig(String key) {
        String redisKey = RedisRiskKeys.getReleaseKey(key);
        String data = redisService.get(redisKey);
        if (StringUtils.isNullOrEmpty(data)) {
            data = getReleaseConfig(key);
            if (StringUtils.isNullOrEmpty(data)) {
                redisService.set(redisKey, data, 1, TimeUnit.SECONDS);
            }
        }

        return data;
    }


}
