package com.starbuds.server.service.data.impl;

import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.pojo.data.RiskParms;
import com.starbuds.server.common.pojo.data.green.GreenAuditTrace;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.common.service.data.ReleaseConfigService;
import com.starbuds.server.common.service.data.RiskService;
import com.starbuds.server.service.data.provider.AbstractGreenProvider;
import com.starbuds.server.service.data.provider.RiskProvider;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;

@Service(version = "1.0.0")
@Slf4j
public class RiskServiceImpl implements RiskService {

    @Resource(name = "shumeiRiskProvider")
    private RiskProvider riskProvider;

    @Reference(version = "1.0.0")
    IdentityService identityService;

    @Resource
    ReleaseConfigService releaseConfigService;

    @Override
    public boolean getConfig(String type) {
        String ss = releaseConfigService.getReleaseConfig("risk");
        JSONObject json = JSONObject.parseObject(ss);
        return Integer.parseInt(json.get(type).toString()) == 1;
    }


    @Override
    public GreenAuditTrace loginAudit(RiskParms parms) {
        return riskProvider.loginAudit(identityService.getId(), parms);
    }

    @Override
    public GreenAuditTrace registAudit(RiskParms parms) {
        return riskProvider.registAudit(identityService.getId(), parms);
    }

    @Override
    public GreenAuditTrace activationAudit(RiskParms json) {
        return riskProvider.activationAudit(identityService.getId(), json);
    }
}
