package com.starbuds.server.service.data.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.starbuds.server.common.constant.common.BoolIntVal;
import com.starbuds.server.common.pojo.db.RtcRecommendDO;
import com.starbuds.server.common.service.rtc.RtcRecommendService;
import com.starbuds.server.service.data.dao.RtcRecommendDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.scheduling.annotation.Async;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: lujiao
 * @Date: 2022/1/14 18:35
 */
@Service(version = "1.0.0")
@Slf4j
public class RtcRecommendServiceImpl implements RtcRecommendService {

    @Resource
    RtcRecommendDAO rtcRecommendDAO;

    /**
     * 将过期时间的首页大图转为失效
     */
    @Override
    @Async
    public void changeOutTimeStatus() {
        Long now = System.currentTimeMillis();
        List<Long> outTimeIds = rtcRecommendDAO.getOutTimeHisIds(now);
        if (CollectionUtil.isNotEmpty(outTimeIds)) {
            rtcRecommendDAO.updateStatusByIds(outTimeIds, BoolIntVal.False);
        }
        int count = rtcRecommendDAO.getStatusCount(2);
        if (count == 0) {
            Long currentId = rtcRecommendDAO.getRecommendId(now);
            if (currentId != null && currentId > 0) {
                rtcRecommendDAO.updateStatusById(currentId, 2);
            }
        }

    }

    @Override
    public RtcRecommendDO getRecommend() {
        Long now = System.currentTimeMillis();
        return rtcRecommendDAO.getRecommend(now);
    }
}
