package com.starbuds.server.service.data.redis;

import com.starbuds.server.service.data.redis.listener.RedisKeyExpireMsgListener;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.data.redis.core.RedisCallback;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * Redis 事件监听
 *
 * @author Lay
 * @date 2019-04-02
 */
@Component
@Slf4j
public class RedisSubscribeThread implements CommandLineRunner {
    @Resource
    StringRedisTemplate redisTemplate;

    @Resource
    RedisKeyExpireMsgListener redisKeyExpireMsgListener;

    @Value("${spring.redis.database}")
    private String database;

    @Override
    public void run(String... args) throws Exception {
        redisTemplate.execute((RedisCallback) connection -> {
            log.info("启动 Redis Key 过期事件监听");
            String par = "*@" + database + "*";
            connection.pSubscribe(redisKeyExpireMsgListener, par.getBytes());
            return null;
        });
    }
}
