package com.starbuds.server.service.data.task;

import cn.hutool.http.HttpUtil;
import com.qiniu.storage.Configuration;
import com.qiniu.storage.Region;
import com.qiniu.storage.UploadManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/17
 */
@Slf4j
public class NetworkImageToAvatarTask {

    private String url;
    private String key;
    private String token;

    public NetworkImageToAvatarTask(String url, String key, String token) {
        this.url = url;
        this.key = key;
        this.token = token;
    }

    @Async
    public void execute() {
        try {
            // 下载图片
            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
            long size = HttpUtil.download(url, outputStream, true);
            if (size > 0) {
                Configuration cfg = new Configuration(Region.huadong());
                UploadManager uploadManager = new UploadManager(cfg);
                uploadManager.put(parse(outputStream), key, token, null, null);
            }
        } catch (Exception e) {
            log.error("网络图片头像转七牛存储任务执行失败", e);
        }
    }

    public ByteArrayInputStream parse(ByteArrayOutputStream out) throws Exception {
        ByteArrayInputStream swapStream = new ByteArrayInputStream(out.toByteArray());
        return swapStream;
    }
}
