package com.starbuds.server.service.data.impl;

import com.alibaba.dubbo.config.annotation.Reference;
import com.starbuds.server.common.pojo.media.GiftItemVO;
import com.starbuds.server.common.service.i18n.I18nService;
import com.starbuds.test.BaseTest;
import org.testng.Assert;
import org.testng.annotations.Test;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class I18nServiceImplTest extends BaseTest {

    @Reference(version = "1.0.0")
    private I18nService i18nService;

    @Test
    public void testDoI18n() {
        // 单对象测试
        GiftItemVO giftItemVO = new GiftItemVO();
        giftItemVO.setGiftName("游轮");
        i18nService.doI18n(giftItemVO, "en");
        Assert.assertEquals(giftItemVO.getGiftName(), "Cruise ship");

        // 空对象测试
        i18nService.doI18n(null, "en");

        // 多对象多值测试
        List<String> chList = Arrays.asList("游轮", "你好");
        List<String> enList = Arrays.asList("Cruise ship", "hello");

        List<GiftItemVO> giftList = new ArrayList<>(chList.size());
        for (String chMsg : chList) {
            GiftItemVO gift = new GiftItemVO();
            gift.setGiftName(chMsg);

            giftList.add(gift);
        }
        i18nService.doI18n(giftList, "en");
        for (int i = 0; i < giftList.size(); i++) {
            GiftItemVO gift = giftList.get(i);
            Assert.assertEquals(gift.getGiftName(), enList.get(i));
        }
    }
}