package com.starbuds.server.service.data.provider;

import com.starbuds.server.common.pojo.api.CallApiTrace;
import com.starbuds.server.common.utils.LogUtil;
import com.starbuds.server.service.data.entity.green.GreenRobotAuditResult;
import com.starbuds.test.BaseTest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.test.util.ReflectionTestUtils;
import org.testng.Assert;
import org.testng.annotations.Test;

import javax.annotation.Resource;

@Slf4j
public class BaiduGreenProviderTest extends BaseTest {

    @Resource(name = "baiduGreenProvider")
    private BaiduGreenProvider baiduGreenProvider;

    @Test
    public void testGetAccessTokenByCache() {
        String accessToken = getAccessTokenByCache();
        String accessToken1 = getAccessTokenByCache();
        String accessToken2 = getAccessTokenByCache();
        log.info("百度内容审核 accessToken {}", accessToken);
        Assert.assertEquals(accessToken, accessToken1);
        Assert.assertEquals(accessToken, accessToken2);
    }

    @Test
    public void testGetAccessToken() {
        String accessToken = getAccessToken();
        log.info("百度内容审核 accessToken {}", accessToken);

        accessToken = getAccessToken();
        log.info("百度内容审核 accessToken {}", accessToken);

        accessToken = getAccessToken();
        log.info("百度内容审核 accessToken {}", accessToken);
    }

    @Test
    public void imgCensor() {
        CallApiTrace trace = imgCensor("http://feed.qn.panygo.com/image/341127609712640/1615795890440.png");
        String rsp = trace.getRspData();
        log.info("百度内容审核-图片审核结果 {}", rsp);
        log.info(LogUtil.jsonObjLog(rsp));
        log.info("机器审核结果 {}", LogUtil.obj2JsonObj(parseRsp(rsp)));
    }

    @Test
    public void textCensor() {
        CallApiTrace trace = textCensor("大卡车🚩");
        String rsp = trace.getRspData();
        log.info("百度内容审核-文本审核结果 {}", rsp);
        log.info("机器审核结果 {}", LogUtil.obj2JsonObj(parseRsp(rsp)));
    }

    private String getAccessTokenByCache() {
        return ReflectionTestUtils.invokeMethod(baiduGreenProvider, "getAccessTokenByCache");
    }

    private String getAccessToken() {
        return ReflectionTestUtils.invokeMethod(baiduGreenProvider, "getAccessToken");
    }

    private CallApiTrace imgCensor(String imageUrl) {
        return ReflectionTestUtils.invokeMethod(baiduGreenProvider, "imgCensor", imageUrl);
    }

    private CallApiTrace textCensor(String text) {
        return ReflectionTestUtils.invokeMethod(baiduGreenProvider, "textCensor", text);
    }

    private GreenRobotAuditResult parseRsp(String rsp) {
        return ReflectionTestUtils.invokeMethod(baiduGreenProvider, "parseRsp", rsp);
    }
}